<!doctype html>
<html lang="es">

<head>
  <meta charset='utf-8'>
  <title>Más etiquetas</title>
  <link rel='stylesheet' href='css/style.css'>
</head>

<body>


  <article class='reveal'>

    <section class='portada' data-bespoke-state='portada'>
      <h1>Más etiquetas</h1>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">hr</span></h2>
      <ul class="lista">
        <li>Línea divisoria</li>
        <li>Elemento de bloque</li>
        <li>Sin etiqueta de cierre</li>
      </ul>
      <h4>Ejemplo:</h4>
      <pre class="m-05"><code><span class="etiqueta">hr</span></code></pre>
      <h4>Resultado:</h4>
      <hr>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">br</span></h2>
      <ul class="lista">
        <li>Salto de línea</li>
        <li>Sin etiqueta de cierre</li>
      </ul>
      <h4>Ejemplo:</h4>
      <pre class="m-05"><code>Empieza el texto y<span class="etiqueta">br</span>esto está en otra línea.</code></pre>
      <h4>Resultado:</h4>
      <p>Empieza el texto y<br>esto está en otra línea.</p>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">wbr</span></h2>
      <ul class="lista">
        <li>Oportunidad de salto de línea</li>
        <li>Sin etiqueta de cierre</li>
      </ul>
      <h4>Ejemplo:</h4>
      <pre class="m-05"><code>Si la palabra es muy larga y no entra en una línea
Super<span class="etiqueta">wbr</span>cali<span class="etiqueta">wbr</span>fragilistico<span class="etiqueta">wbr</span>espialidoso 
será partido donde mejor venga, 
de no ponerlo Supercalifragilisticoespialidoso saltaría en bloque.</code></pre>
      <h4>Resultado:</h4>
      <p>Si la palabra es muy larga y no entra en una línea Super<wbr>cali<wbr>fragilistico<wbr>espialidoso será partido donde mejor venga, de no ponerlo Supercalifragilisticoespialidoso saltaría en bloque.</p>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">pre</span></h2>
      <ul class="lista">
        <li>Texto preformateado</li>
      </ul>
      <h4>Ejemplo:</h4>
      <pre class="m-05"><code>Empieza el texto y<span class="etiqueta">br</span>esto está en otra línea.</code></pre>
      <h4>Resultado:</h4>
      <p>Empieza el texto y<br>esto está en otra línea.</p>
    </section>


    <section data-bespoke-state='pre-progress clean'>
      https://www.shenansherwell.com/es/desarrollo-web/semantica-html5/
      https://learning.edx.org/course/course-v1:W3Cx+HTML5.0x+3T2020/block-v1:W3Cx+HTML5.0x+3T2020+type@sequential+block@dd9cc2d025bc4ac5b1a66481aac0db1b/block-v1:W3Cx+HTML5.0x+3T2020+type@vertical+block@25b7c2657986416785cb4a8bb92fbfd2

      https://www.youtube.com/watch?v=eesyGnJwfAY&list=PLROIqh_5RZeB92ME1GFyeqDVOa-gL0Ybd

      <details>

        *see example below 	A way to provide additional information that the user can show or hide. Content that is shown to user by default. Other content is hidden and can be expanded to view. 	<details>
        <summary>Cast Members</summary>
        <p>George Washington as Algernon Moncrieff</p>
        <p>Ronald Reagan as John Worthing</p>
        </details>
        
        <figcaption>
        
        *see example below
          Provides a caption (explanation) of an image. To be used within <figure>. 	<figure>
        <img src="img_cast.jpg" alt="The Importance of Being Earnest Cast">
        <figcaption>Fig1. - The cast hard at work at dress rehearsal before opening night</figcaption>
        </figure>
        <figure> 	Contains an image and can be used to group with an image's caption 	Refer to <figcaption>
        
        <mark>
        
        *see example below
          Defines a part of a text you want to highlight. The highlight styling is specified in CSS. 	<h4>Lane: </h4><p>Yes sir. [<mark>Handing his master the sandwiches on a salver</mark>]</p>
        <summary> 	Used within the <details> tag. Specifies the visible content. The rest of the content in details is shown/hidden by user. 	<details>
        <summary>Cast Members</summary>
        <p>George Washington as Algernon Moncrieff</p>
        <p>Ronald Reagan as John Worthing</p>
        </details>

        <time></time>

        https://www.arkaitzgarro.com/html5/capitulo-2.html
        <figure></figure>

        https://www.educba.com/html5-semantic-elements/

        <mark></mark>

        <ins></ins>

        <del></del>

    </section> 

    <section data-bespoke-state='pre-progress clean'>
      <h2>Etiquetas: <span class="etiqueta">figure</span> y <span class="etiqueta">figcaption</span></h2>
      <ul class="lista">
        <li><span class="etiqueta">figure</span>:  </li>
        <li><span class="etiqueta">figcaption</span>:  títul</li>
      </ul>
      <figure>
        <img src="https://picsum.photos/id/1025/400/225" alt="Imagen de prueba sin significado" height="200" width="100">
        <figcaption>Imagen 1 - Perra rojelia </figcaption>
      </figure>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">text-rendering</span></h2>
      <ul class="lista">
        <li>Indica qué optimizar a la hora de pintar texto</li>
        <li>Valores:
          <ul>
            <li><span class="valor-css">auto</span></li>
            <li><span class="valor-css">optimizeSpeed</span></li>
            <li><span class="valor-css">optimizeLegibility</span></li>
            <li><span class="valor-css">geometricPrecision</span></li>
          </ul>
        </li>
      </ul>
      <p style="text-rendering: auto;">Texto de ejemplo donde poder ver LYOWAT - ff fi fl ffl</p>
      <p style="text-rendering: optimizeSpeed;">Texto de ejemplo donde poder ver LYOWAT - ff fi fl ffl</p>
      <p style="text-rendering: optimizeLegibility;">Texto de ejemplo donde poder ver LYOWAT - ff fi fl ffl</p>
      <p style="text-rendering: geometricPrecision;">Texto de ejemplo donde poder ver LYOWAT - ff fi fl ffl</p>
    </section>

  </article>

  <script src='js/slides.keys.js'></script>
  <script src='js/slides.classes.js'></script>
  <script src='js/slides.state.js'></script>
  <script src='js/slides.kernel.js'></script>
  <script src='js/slides.jump.js'></script>
  <script src='js/slides.swipe.js'></script>

  <script>
    const { Deck, classes, keys, state, jump, swipe } = S6;
    const deck = new Deck({
      parent: 'article',
      plugins: [classes(), keys(), state(), jump(), swipe()]
    });
  </script>
</body>

</html>